"""
Piket server, handles events generated by the client.
"""

from flask import Flask, jsonify


app = Flask("piket_server")


@app.route("/ping")
def ping() -> None:
    """ Return a status ping. """
    return "Pong"


PRESET_NAMES = [
    "Maarten",
    "Knoepie Draggelsturf",
    "Teddy Veenlijk",
    "Chris Kraslot",
    "Knibbe Tjakkomans",
    "Foek Lammenschaap",
]

PEOPLE = {index: {"name": name, "count": 0} for index, name in enumerate(PRESET_NAMES)}


@app.route("/people")
def get_people() -> None:
    """ Return a list of currently known people. """
    return jsonify(PEOPLE)
